/*
 *  util.c
 *  Utility routines
 *  NT Registry driver for Linux
 *
 *  Based on ntfs code by Martin von Lwis, et al.
 *  Copyright (C) 1997 Martin von Lwis
 *  Copyright (C) 1997 Rgis Duchesne
 *  Copyright (c) 1999, Todd Sabin
 */

static char print_buf[1024];

#include <linux/kernel.h>
#include "util.h"
#include <linux/slab.h>

void ntreg_debug (int mask, const char *fmt, ...)
{
#if 0
	va_list ap;

        va_start (ap,fmt);
        strcpy (print_buf, KERN_ERR);
        vsprintf (print_buf + 3, fmt, ap);
        printk (print_buf);
        va_end (ap);
#endif
}


void ntreg_error (const char *fmt,...)
{
        va_list ap;

        va_start (ap, fmt);
        strcpy (print_buf, KERN_ERR);
        vsprintf (print_buf + 3, fmt, ap);
        printk (print_buf);
        va_end (ap);
}


void *ntreg_malloc (int size)
{
        void *ret;

	ret = kmalloc (size, GFP_KERNEL);
	ntreg_debug (DEBUG_MALLOC, "Allocating %x at %p\n", size, ret);

	return ret;
}

void ntreg_free(void *block)
{
        ntreg_debug (DEBUG_MALLOC, "Freeing memory at %p\n", block);
	kfree (block);
}


/*
 * Local variables:
 *  c-file-style: "linux"
 * End:
 */
